<?php
/**
 * Renders historic data for multiple sites
 * Does not render static pages if they exist
 * already.
 */
require_once 'functions.php';

foreach (aws_sites() as $site) {
    $dates = aws_historic($site);
    foreach ($dates as $date) {
        list($year, $month) = $date;
	$dir = $GLOBALS['htmldir'] . '/' . $site . '/' . $year . '-' . $month . '/';
	if (!is_dir($dir)) {
	    aws_createHtml($site, true, $year, $month);
	}
    }
    aws_createIndex($site);
}

?>